ChangeSet 1.1395, 2003/06/10 14:16:41-07:00, greg@kroah.com

[PATCH] PCI: fix up usage of pci_present in drivers/ide/ide.c


 drivers/ide/ide.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/ide/ide.c b/drivers/ide/ide.c
--- a/drivers/ide/ide.c	Tue Jun 10 17:04:13 2003
+++ b/drivers/ide/ide.c	Tue Jun 10 17:04:13 2003
@@ -332,7 +332,7 @@
 		if (idebus_parameter) {
 			/* user supplied value */
 			system_bus_speed = idebus_parameter;
-		} else if (pci_present()) {
+		} else if (pci_find_device(PCI_ANY_ID, PCI_ANY_ID, NULL) != NULL) {
 			/* safe default value for PCI */
 			system_bus_speed = 33;
 		} else {
